Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.errai.reflections.scanners
Class AbstractScanner

    java.lang.Object
      org.jboss.errai.reflections.scanners.AbstractScanner

All Implemented Interfaces:
  Scanner

Direct Known Subclasses:
  ConvertersScanner, FieldAnnotationsScanner, MethodAnnotationsScanner, MethodParametersAnnotationsScanner, ResourcesScanner, SubTypesScanner, TypeAnnotationsScanner, TypeElementsScanner, TypesScanner

    public abstract class AbstractScanner

extends java.lang.Object
implements Scanner

Constructor Summary
`AbstractScanner()`

Method Summary
`protected boolean` | `acceptResult(java.lang.String fqn)`
`boolean` | `acceptsInput(java.lang.String file)`
`Scanner` | `filterResultsBy(com.google.common.base.Predicate<java.lang.String> filter)`
`Configuration` | `getConfiguration()`
`protected MetadataAdapter` | `getMetadataAdapter()`
`java.lang.String` | `getName()`
`com.google.common.base.Predicate<java.lang.String>` | `getResultFilter()`
`com.google.common.collect.Multimap<java.lang.String,java.lang.String>` | `getStore()`
`abstract void` | `scan(java.lang.Object cls)`
`void` | `scan(Vfs.File file)`
`void` | `setConfiguration(Configuration configuration)`
`void` | `setResultFilter(com.google.common.base.Predicate<java.lang.String> resultFilter)`
`void` | `setStore(com.google.common.collect.Multimap<java.lang.String,java.lang.String> store)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractScanner

    public AbstractScanner()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Scanner`

### acceptsInput

    public boolean acceptsInput(java.lang.String file)

  Specified by:
    `acceptsInput` in interface `Scanner`

### scan

    public void scan(Vfs.File file)

  Specified by:
    `scan` in interface `Scanner`

### scan

    public abstract void scan(java.lang.Object cls)

### getConfiguration

    public Configuration getConfiguration()

### setConfiguration

    public void setConfiguration(Configuration configuration)

  Specified by:
    `setConfiguration` in interface `Scanner`

### getStore

    public com.google.common.collect.Multimap<java.lang.String,java.lang.String> getStore()

### setStore

    public void setStore(com.google.common.collect.Multimap<java.lang.String,java.lang.String> store)

  Specified by:
    `setStore` in interface `Scanner`

### getResultFilter

    public com.google.common.base.Predicate<java.lang.String> getResultFilter()

  Specified by:
    `getResultFilter` in interface `Scanner`

### setResultFilter

    public void setResultFilter(com.google.common.base.Predicate<java.lang.String> resultFilter)

### filterResultsBy

    public Scanner filterResultsBy(com.google.common.base.Predicate<java.lang.String> filter)

  Specified by:
    `filterResultsBy` in interface `Scanner`

### acceptResult

    protected boolean acceptResult(java.lang.String fqn)

### getMetadataAdapter

    protected MetadataAdapter getMetadataAdapter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.